| Method | URI | Description |
|---|---|---|
| GET | /v2/flavors/{flavor_id} | Gets details for a specified flavor. |
Normal response codes: 200, 203
Error response codes: computeFault (400, 500, …), serviceUnavailable (503), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), itemNotFound (404)
This table shows the URI parameters for the get flavor details request:
| Name | Type | Description |
|---|---|---|
| UUID | UUID for the specific flavor (combination of memory, disk size, and CPUs). |
This operation does not require a request body.
Example 2.43. Get flavor details: JSON response
{
"flavor": {
"disk": 1,
"id": "1",
"links": [
{
"href": "http://openstack.example.com/v2/openstack/flavors/1",
"rel": "self"
},
{
"href": "http://openstack.example.com/openstack/flavors/1",
"rel": "bookmark"
}
],
"name": "m1.tiny",
"ram": 512,
"vcpus": 1
}
}
Example 2.44. Get flavor details: XML response
<?xml version='1.0' encoding='UTF-8'?> <flavor xmlns:atom="http://www.w3.org/2005/Atom" xmlns="http://docs.openstack.org/compute/api/v1.1" disk="1" vcpus="1" ram="512" name="m1.tiny" id="1"> <atom:link href="http://openstack.example.com/v2/openstack/flavors/1" rel="self"/> <atom:link href="http://openstack.example.com/openstack/flavors/1" rel="bookmark"/> </flavor>

